#16146 closed Bugs (Fixed)

Kodi hangs indefinetly at shutdown

Reported by: uNiversal Owned by: Paxxi
Priority: 4 - Normal
Component: Other (un-categorized if does not fit anywhere else) Version:
Severity: Normal Keywords:
Cc: mkortstiege, Paxxi Blocked By:
Blocking: Platform: Linux

Description

This is now a week old issue, before this didn't happen at all. Somewhere around 5c2df624b78430a3977cd3a4b6dc8ccc16e0d5a1 all manners of issues cropped in like this.

Essentially you start Kodi, navigate to for e.g to weather forecast and press poweroff button on remote.

Currently: It hangs indefinitely, need to kill -6 kodi PID or issue poweroff via ssh.

Before: It Started the shutdown process immediately and 2 seconds later it was off.

At request of wsnipex I reverted https://github.com/xbmc/xbmc/pull/4273 with no effect whatsoever on this issue

Forum thread: http://forum.kodi.tv/showthread.php?tid=232529

I add a crashlog where it seems to point to issue thought Im not able to fully understand the stacktrace.

I CC mkortstiege maybe he can ping the right person or have a clew. idk who else to ping instead.

Attachments (2)

kodi_crashlog-20150722_131857.log (87.9 KB) - added by uNiversal at 2015-07-22T13:38:16+01:00.
Debug crashlog with stacktrace
kodi_crashlog-20150722_145943.log (90.6 KB) - added by uNiversal at 2015-07-22T15:11:42+01:00.
yet another one with more info on stacktrace

Change History (13)

Changed at 2015-07-22T13:38:16+01:00 by uNiversal

Debug crashlog with stacktrace

Changed at 2015-07-22T15:11:42+01:00 by uNiversal

yet another one with more info on stacktrace

comment:1 Changed at 2015-07-22T16:02:28+01:00 by uNiversal

Kodi is so greedy, pressed power off on remote and this is what top says

 PID USER      PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND
1242 kodi      20   0 2359104 179984  55628 R 100.7  4.5   6:15.68 kodi.bin

I also have disabled update check addon permanently Long before this happened.

Last edited at 2015-07-23T13:24:41+01:00 by uNiversal (previous) (diff)

comment:2 Changed at 2015-07-25T11:55:39+01:00 by uNiversal

Via power menu, when selecting Shutdown machine it works properly but when you use the shutdown timer it hangs same way as if pressing powerbutton on remote.

This also worked OK previous to app messenger commit.

Last edited at 2015-07-26T07:49:00+01:00 by uNiversal (previous) (diff)

comment:3 Changed at 2015-07-25T15:08:08+01:00 by uNiversal

Yep looking at https://github.com/Paxxi/xbmc/commit/9e9396b073ba973b2847896a11244a9f37ecbaff it definelty messed around with powermanagement.shutdownstate and I wonder if anything here in app messenger refactor actually missed something.

Last edited at 2015-07-25T15:09:29+01:00 by uNiversal (previous) (diff)

comment:4 Changed at 2015-07-30T10:47:16+01:00 by uNiversal

Also, from app messenger...

Minimal install + upstart + press exit button on power menu = Kodi restart ~3 seconds

After app messenger commit no less than ~10 / ~15 seconds

Reverting to 5c2df624b78430a3977cd3a4b6dc8ccc16e0d5a1 fixes all 3 issues since I cannot revert just the app messenger commit ontop of master.

comment:5 Changed at 2015-08-06T10:16:08+01:00 by uNiversal

Paxxi: ping, any thoughts? Can I investigate this another way is there anything I can try?

comment:6 Changed at 2015-08-08T10:06:57+01:00 by Paxxi

I haven't forgotten about this, I just haven't touched any code in a while, will look into it when I have some time

comment:7 Changed at 2015-08-10T02:52:47+01:00 by Milhouse

FYI this is also affecting OpenELEC master/Kodi master test builds for RPi/RPi2. The problem started in build #0715b which is when the Application Manager changes were included.

Kodi now hangs when the shutdown function is set to "Shutdown" and the KEY_POWER button is pushed on the remote control.

When the shutdown function is "Suspend", the KEY_POWER button on the remote control works without a problem (RPi goes to "sleep", shutting off the display). Selecting "Power Off" from the power menu is also working fine.

comment:8 Changed at 2015-08-10T14:27:02+01:00 by Paxxi

  • Owner set to Paxxi
  • Status changed from new to accepted

comment:9 Changed at 2015-08-10T18:45:38+01:00 by Paxxi

  • Milestone changed from Future / Pending to 16.0 "J*****"

comment:10 Changed at 2015-08-10T18:47:00+01:00 by Paxxi

  • Resolution set to Fixed
  • Status changed from accepted to closed

comment:11 Changed at 2015-10-20T18:16:03+01:00 by Martijn

  • Milestone changed from 16.0 "J*****" to 16.0 "Jarvis"
Note: See TracTickets for help on using tickets.